glacier-old/glacier-update.sh

34 lines
836 B
Bash
Raw Normal View History

2022-03-09 17:01:26 -05:00
#!/bin/sh
# glacier-update
# Script used to update packages
# Require the script to be run as root
if [[ $(/usr/bin/id -u) -ne 0 ]]; then
echo "[ X ] Please run Glacier as root."
exit
fi
echo "[ ? ] Enter package name:" && read input
echo "[ i ] Downloading $input.tar.gz..."
2022-03-10 12:29:06 -05:00
wget https://github.com/everest-linux/glacier-pkgs/raw/main/pkgs/$input.tar.gz
if [ "$?" != "0" ]; then
echo "[ X ] Could not get archive for $input." 1>&2
exit 1
fi
2022-03-09 17:01:26 -05:00
echo "[ i ] Unpacking $input,tar.gz..."
2022-03-10 12:29:06 -05:00
tar -xvf $input.tar.gz
if [ "$?" != "0" ]; then
echo "[ X ] Could not unpack $input.tar.gz" 1>&2
exit 1
fi
2022-03-09 17:01:26 -05:00
cd $input
chmod +x UPDATE.sh
./UPDATE.sh
rm /etc/glacier/pkginfo/$input-pkginfo.json
mv $input-pkginfo.json /etc/glacier/pkginfo
rm $input.tar.gz
rm INSTALL.sh
rm UPDATE.sh
rm REMOVE.sh
2022-03-10 12:29:06 -05:00
echo "[ i ] Operation completed."